<?php
global $post;

$bg_img = get_field('banner_baggrund');
$heading = get_field('banner_overskrift');
$text = get_field('banner_tekst');
$btn = get_field('knap');

$front_page_id = get_option( 'page_on_front' );
?>

<section class="grid grid-cols-12 gap-y-0 lg:gap-10 ">
    <div style="background-image: url('<?php echo $bg_img ? $bg_img : "https://via.placeholder.com/1600x600" ?>')" class="bg-cover min-h-[450px] max-h-[600px] bg-center col-start-1 col-end-13 lg:col-start-1 lg:col-end-7 xl:col-start-1 xl:col-end-9 lg:row-span-full"></div>
    <div class="bg-gradient-to-b from-[#2B3B4C] to-[#536475] col-start-1 col-end-13 lg:col-start-6 lg:col-end-13 xl:col-start-8 xl:col-end-13 lg:row-span-full lg:mt-4 relative px-8 lg:px-28 pt-20 lg:pt-28 pb-16 lg:pb-52 h-fit <?php echo (is_front_page() || $post->ID == $front_page_id) ? 'mb-16' : 'mb-8' ?>">
        <span class="w-[calc(100vw/6)] lg:w-[calc(100vw/12-40px)] h-7 absolute left-0 top-0 bg-[#859F3F]"></span>
        <h2 class="h1 text-white mb-8"><?php echo $heading ?></h2>
        <p class="font-medium text-white text-[22px] leading-[1.36] <?php echo $btn ? 'mb-12' : ''; ?>"><?php echo $text ?></p>
        <?php
        if( $btn ):
            $btn_url = $btn['url'];
            $btn_title = $btn['title'];
            $btn_target = $btn['target'] ? $btn['target'] : '_self';
            ?>
            <a class="!text-[16px] lime-btn font-medium" href="<?php echo esc_url( $btn_url ); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html( $btn_title ); ?></a>
        <?php endif; ?>
    </div>
</section>
