<?php
   $image = get_field('billede');
   $heading = get_field('overskrift');
   $text = get_field('tekst');
   $btn = get_field('knap_link');
?>


<div class="mb-5 relative grid grid-cols-4 gap-10">
    <span class="w-[calc(100vw/12-40px)] h-7 absolute left-0 top-0 bg-[#859F3F]"></span>
    <div class="col-span-4">
        <img class="mb-4 w-full max-h-[500px] object-cover object-center" src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
        <h3><?php echo $heading ?></h3>
        <p><?php echo $text ?></p>
        <?php
        if( $btn ):
            $btn_url = $btn['url'];
            $btn_title = $btn['title'];
            $btn_target = $btn['target'] ? $btn['target'] : '_self';
            ?>
            <a class="blue-btn mt-5" href="<?php echo esc_url( $btn_url ); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html( $btn_title ); ?></a>
        <?php endif; ?>
    </div>
</div>


