<?php
    $ctaObject = get_field('vaelg_cta');
    $bgColor = get_field('baggrundsfarve');

    $borderColor = ($bgColor === '#FFFFFF') ? 'border-[#859F3F]' : 'border-[#ECECEC]';

    $objectHeader = get_field( 'overskrift', $ctaObject->ID );
    $objectText = get_field( 'tekst', $ctaObject->ID );
    $objectImg = get_field( 'billede', $ctaObject->ID );
    $objectBtn = get_field( 'knap_link', $ctaObject->ID );
?>


<?php if($ctaObject) : ?>
    <div class="bg-[<?php echo $bgColor ?>] border relative <?php echo $borderColor ?> mb-5">
        <span class="w-[calc(100vw/6)] lg:w-[calc(100vw/12-40px)] h-7 absolute left-0 top-0 bg-[#859F3F]"></span>
        <div class="pl-[calc(100vw/6)] lg:pl-[calc(100vw/12-40px)] pr-10 py-10">
            <h3><?php echo $objectHeader ?></h3>

            <?php if($objectImg): ?>
                <img class="mb-4 w-full max-h-[500px] object-cover object-center" src="<?php echo esc_url($objectImg['url']); ?>" alt="<?php echo esc_attr($objectImg['alt']); ?>" />
            <?php endif; ?>

            <p><?php echo $objectText ?></p>
            <?php
            if( $objectBtn ):
                $btn_url = $objectBtn['url'];
                $btn_title = $objectBtn['title'];
                $btn_target = $objectBtn['target'] ? $objectBtn['target'] : '_self';
                ?>
                <a class="blue-btn mt-5" href="<?php echo esc_url( $btn_url ); ?>" target="<?php echo esc_attr( $btn_target ); ?>"><?php echo esc_html( $btn_title ); ?></a>
            <?php endif; ?>
        </div>
    </div>
<?php endif; ?>

