<?php
    $post = get_field('exercise');

    $post->information = get_field('information', $post->ID);
    $post->description = get_field('beskrivelse', $post->ID);
    $post->description_file = get_field('beskrivelse_pdf', $post->ID);
    $post->solution = get_field('loesning', $post->ID);
    $post->solution_file = get_field('loesning_pdf', $post->ID);
?>


<div class="col-span-full mt-10">
    <div class="border border-[#2B3B4C] p-8 lg:p-[40px]">
        <div class="lg:pe-32">
            <h2><?php echo get_the_title($post->ID) ?></h2>
            <?php echo $post->information ?>
            <div class="mt-8">

                <!-- desciption -->
                <div>
                    <details class="bg-[#ECECEC] border border-[#C0C6CD] rounded-md col-span-full peer flex cursor-pointer">
                        <summary class="w-full py-[15px] flex items-center px-[20px]">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" width="24" height="24"><path fill="#000" d="M8 18h8v-2H8v2Zm0-4h8v-2H8v2Zm-2 8c-.55 0-1.02083-.1958-1.4125-.5875C4.19583 21.0208 4 20.55 4 20V4c0-.55.19583-1.02083.5875-1.4125C4.97917 2.19583 5.45 2 6 2h8l6 6v12c0 .55-.1958 1.0208-.5875 1.4125C19.0208 21.8042 18.55 22 18 22H6Zm7-13V4H6v16h12V9h-5Z"/></svg>
                            <span class="px-[30px] text-[16px]"><?php echo _e('Description', 'EnergyPLAN') ?></span>
                        </summary>
                    </details>
                    <div class="w-full grid grid-rows-[0fr] bg-[#ECECEC] transition-[grid-template-rows] border-b border-b-[#C0C6CD] invisible border-x border-x-[#C0C6CD] rounded-b-md peer-open:bg-[#FAFAFA] peer-open:grid-rows-1 peer-open:visible overflow-hidden">
                        <div class="overflow-hidden col-span-full">
                            <div class="p-8 lg:px-[76px] lg:py-[40px]">
                                <?php echo $post->description ?>
                                <?php if($post->description_file): ?>
                                    <div class="flex mt-8">
                                        <div>
                                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20" width="24" height="24"><path fill="#000" d="M7 10.5h1v-2h1c.28333 0 .52083-.09583.7125-.2875C9.90417 8.02083 10 7.78333 10 7.5v-1c0-.28333-.09583-.52083-.2875-.7125C9.52083 5.59583 9.28333 5.5 9 5.5H7v5Zm1-3v-1h1v1H8Zm3 3h2c.2833 0 .5208-.0958.7125-.2875.1917-.1917.2875-.42917.2875-.7125v-3c0-.28333-.0958-.52083-.2875-.7125C13.5208 5.59583 13.2833 5.5 13 5.5h-2v5Zm1-1v-3h1v3h-1Zm3 1h1v-2h1v-1h-1v-1h1v-1h-2v5ZM6 16c-.55 0-1.02083-.1958-1.4125-.5875C4.19583 15.0208 4 14.55 4 14V2c0-.55.19583-1.020833.5875-1.4125S5.45 0 6 0h12c.55 0 1.0208.195833 1.4125.5875C19.8042.979167 20 1.45 20 2v12c0 .55-.1958 1.0208-.5875 1.4125C19.0208 15.8042 18.55 16 18 16H6Zm0-2h12V2H6v12Zm-4 6c-.55 0-1.020833-.1958-1.4125-.5875C.195833 19.0208 0 18.55 0 18V4h2v14h14v2H2Z"/></svg>
                                        </div>
                                        <div>
                                            <a href="<?php echo $post->description_file ?>" class="font-bold size-[15px] ms-4 !border-none" download><?php echo _e('Download Description PDF', 'EnergyPLAN') ?></a>
                                        </div>
                                    </div>
                                <?php endif ?>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- solution -->
                <div class="mt-1">
                    <details class="bg-[#ECECEC] border border-[#C0C6CD] rounded-md col-span-full peer flex cursor-pointer">
                        <summary class="w-full py-[15px] flex items-center px-[20px]">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" width="24" height="24"><path fill="#000" d="M12 22c-.4333 0-.825-.1042-1.175-.3125-.35-.2083-.625-.4875-.825-.8375-.55 0-1.02083-.1958-1.4125-.5875C8.19583 19.8708 8 19.4 8 18.85V15.3c-.98333-.65-1.77083-1.5083-2.3625-2.575C5.04583 11.6583 4.75 10.5 4.75 9.25c0-2.01667.70417-3.72917 2.1125-5.1375C8.27083 2.70417 9.98333 2 12 2c2.0167 0 3.7292.70417 5.1375 2.1125C18.5458 5.52083 19.25 7.23333 19.25 9.25c0 1.2833-.2958 2.45-.8875 3.5-.5917 1.05-1.3792 1.9-2.3625 2.55v3.55c0 .55-.1958 1.0208-.5875 1.4125-.3917.3917-.8625.5875-1.4125.5875-.2.35-.475.6292-.825.8375-.35.2083-.7417.3125-1.175.3125Zm-2-3.15h4v-.9h-4v.9Zm0-1.9h4V16h-4v.95ZM9.8 14h1.45v-2.7l-2.2-2.2 1.05-1.05 1.9 1.9 1.9-1.9 1.05 1.05-2.2 2.2V14h1.45c.9-.4333 1.6333-1.0708 2.2-1.9125.5667-.8417.85-1.7875.85-2.8375 0-1.46667-.5083-2.70833-1.525-3.725S13.4667 4 12 4s-2.70833.50833-3.725 1.525S6.75 7.78333 6.75 9.25c0 1.05.28333 1.9958.85 2.8375.56667.8417 1.3 1.4792 2.2 1.9125Z"/></svg>
                            <span class="px-[30px] text-[16px]"><?php echo _e('Solution', 'EnergyPLAN') ?></span>
                        </summary>
                    </details>
                    <div class="w-full grid grid-rows-[0fr] bg-[#ECECEC] transition-[grid-template-rows] border-b border-b-[#C0C6CD] invisible border-x border-x-[#C0C6CD] rounded-b-md peer-open:bg-[#FAFAFA] peer-open:grid-rows-1 peer-open:visible overflow-hidden">
                        <div class="overflow-hidden col-span-full">
                            <div class="p-8 lg:px-[76px] lg:py-[40px]">
                                <?php echo $post->solution ?>
                                <?php if($post->description_file): ?>
                                    <div class="flex mt-8">
                                        <div>
                                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20" width="24" height="24"><path fill="#000" d="M7 10.5h1v-2h1c.28333 0 .52083-.09583.7125-.2875C9.90417 8.02083 10 7.78333 10 7.5v-1c0-.28333-.09583-.52083-.2875-.7125C9.52083 5.59583 9.28333 5.5 9 5.5H7v5Zm1-3v-1h1v1H8Zm3 3h2c.2833 0 .5208-.0958.7125-.2875.1917-.1917.2875-.42917.2875-.7125v-3c0-.28333-.0958-.52083-.2875-.7125C13.5208 5.59583 13.2833 5.5 13 5.5h-2v5Zm1-1v-3h1v3h-1Zm3 1h1v-2h1v-1h-1v-1h1v-1h-2v5ZM6 16c-.55 0-1.02083-.1958-1.4125-.5875C4.19583 15.0208 4 14.55 4 14V2c0-.55.19583-1.020833.5875-1.4125S5.45 0 6 0h12c.55 0 1.0208.195833 1.4125.5875C19.8042.979167 20 1.45 20 2v12c0 .55-.1958 1.0208-.5875 1.4125C19.0208 15.8042 18.55 16 18 16H6Zm0-2h12V2H6v12Zm-4 6c-.55 0-1.020833-.1958-1.4125-.5875C.195833 19.0208 0 18.55 0 18V4h2v14h14v2H2Z"/></svg>
                                        </div>
                                        <div>
                                            <a href="<?php echo $post->solution_file ?>" class="font-bold size-[15px] ms-4 !border-none" download><?php echo _e('Download Solution PDF', 'EnergyPLAN') ?></a>
                                        </div>
                                    </div>
                                <?php endif ?>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>



