<?php
    global $post;
    $page_id = $post->ID;
    $front_page_id = get_option( 'page_on_front' );
?>

<div class="grid gap-10 <?php echo (is_front_page() || $front_page_id == $page_id) ? 'grid-cols-4' : 'grid-cols-6'?>">
    <div class="<?php echo (is_front_page() || $front_page_id == $page_id) ? 'col-span-full lg:col-span-4' : 'col-span-full lg:col-span-5'?>">
        <div class="mt-10 grid grid-cols-4 gap-x-10 gap-y-1">
            <?php
            if( have_rows('faqs') ):
                while( have_rows('faqs') ) : the_row();

                    $question = get_sub_field('sporgsmal');
                    $answer = get_sub_field('svar');
                    ?>

                    <div class="col-span-full">
                        <details class="bg-[#ECECEC] border border-[#C0C6CD] rounded-md col-span-full peer flex cursor-pointer">
                            <summary class="w-full py-[15px] flex items-center px-[20px]">
                                <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" fill="none"><path fill="#000" d="M4.6 13c0-1.35.12-2.32.362-2.912.242-.592.754-1.238 1.538-1.938.683-.6 1.204-1.12 1.562-1.563.359-.441.538-.945.538-1.512 0-.683-.23-1.25-.688-1.7C7.454 2.925 6.816 2.7 6 2.7c-.85 0-1.496.258-1.938.775-.441.517-.754 1.042-.937 1.575L.55 3.95c.35-1.067.991-1.992 1.925-2.775C3.408.392 4.583 0 6 0c1.75 0 3.096.487 4.037 1.462.942.976 1.413 2.146 1.413 3.513 0 .833-.18 1.546-.538 2.138-.358.591-.92 1.262-1.687 2.012-.817.783-1.313 1.38-1.488 1.787-.175.409-.262 1.105-.262 2.088H4.6ZM6 19c-.55 0-1.021-.196-1.413-.587A1.926 1.926 0 0 1 4 17c0-.55.196-1.02.587-1.412A1.926 1.926 0 0 1 6 15c.55 0 1.02.196 1.412.588.392.391.588.862.588 1.412 0 .55-.196 1.02-.588 1.413A1.926 1.926 0 0 1 6 19Z"/></svg>
                                <span class="px-[30px] text-[16px]"><?php echo $question ?></span>
                            </summary>
                        </details>
                        <div class="w-full grid grid-rows-[0fr] bg-[#ECECEC] transition-[grid-template-rows] border-b border-b-[#C0C6CD] invisible border-x border-x-[#C0C6CD] rounded-b-md peer-open:bg-[#FAFAFA] peer-open:grid-rows-1 peer-open:visible overflow-hidden">
                            <div class="overflow-hidden col-span-full">
                                <div class="px-8 py-4 lg:px-[70px] lg:py-[40px]">
                                    <?php echo $answer ?>
                                </div>
                            </div>
                        </div>
                    </div>

                <?php
                endwhile;
            endif;
            ?>
        </div>
    </div>
</div>
