<?php
$login_page = get_field('login_side', 'option');
$set_password_page = get_field('opdater_password_side', 'option');

if (isset($_POST['action']) && $_POST['action'] == 'reset') {

    if (isset($_POST['user_login'])) {
        $email = sanitize_email($_POST['user_login']);
        $user_data = get_user_by('email', $email);

        // for dev test purpose
        /*if (!$user_data) {
            echo '<div class="error"><p>No user found with that email address.</p></div>';
            return;
        }*/

        $key = get_password_reset_key($user_data);
        // for dev test purpose
        /*if (is_wp_error($key)) {
            echo '<div class="error"><p>Error occurred! Could not generate a reset key.</p></div>';
            return;
        }*/

        if (!is_wp_error($key)) {
            $reset_link = $set_password_page . "?action=rp&key=$key&login=" . rawurlencode($user_data->user_login);
            $message = "Someone has requested a password reset for the following account:\n\n";
            $message .= network_home_url('/') . "\n\n";
            $message .= "Username: " . $user_data->user_login . "\n\n";
            $message .= "If this was a mistake, just ignore this email and nothing will happen.\n\n";
            $message .= "To reset your password, visit the following address:\n\n";
            $message .= $reset_link . "\n";

            wp_mail($user_data->user_email, 'Password Reset Request', $message);
        }
    }
}
?>

<div class="grid col-gap-10 grid-cols-6 mt-8">
    <div class="col-span-full lg:col-span-3">
    <?php
        if (isset($_POST['action']) && $_POST['action'] == 'reset') {
            echo '<div class="success mb-4"><p class="text-[#859F3F]">'. __('Password reset link sent.', 'EnergyPLAN') .'</p></div>';
        }
    ?>
    <div class="forgot-password-form">
        <form method="post" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ); ?>">
            <p>
                <label for="user_login">E-mail</label>
                <input type="email" name="user_login" id="user_login" required>
            </p>

                <div class="flex items-center">
                    <input class="blue-btn" type="submit" name="submit" value="Send reset link">
                    <?php if(!is_user_logged_in()):?>
                    <p><a class="ml-10" href="<?php echo $login_page ?>"><?php echo __("Want to log in?","EnergyPLAN"); ?></a></p>
                    <?php endif; ?>
                </div>

            <input type="hidden" name="action" value="reset">
        </form>
    </div>
    </div>
</div>
