<?php
global $pagenow;

$check_edit = !is_admin() || !in_array($pagenow, array('post.php', 'post-new.php'));

$posts = get_posts(array(
    'post_type'         => 'models',
    'posts_per_page'    => 1,
    'meta_key'          => 'version_nr',
    'orderby'           => 'meta_value',
    'order'             => 'DESC',
));
?>

<?php
global $post;
$page_id = $post->ID;
$front_page_id = get_option( 'page_on_front' );
?>

<?php if( $posts ): ?>
<div class="grid gap-10 <?php echo (is_front_page() || $front_page_id == $page_id) ? 'grid-cols-4' : 'grid-cols-6'?>">
    <div class="<?php echo (is_front_page() || $front_page_id == $page_id) ? 'col-span-full lg:col-span-4' : 'col-span-full lg:col-span-5'?>">
    <?php foreach( $posts as $post ): ?>

        <?php
            $post->version = get_field('version_nr', $post->ID);
            $post->file = get_field('model_upload', $post->ID);
            $post->date = get_field('dato', $post->ID);
        ?>

        <a <?php echo $check_edit ? 'href="' . $post->file['url'] . '"' : null ?> >
        <div class="w-full mt-10 bg-[#2B3B4C] text-white rounded-md px-[30px] py-[15px] flex items-center">
            <svg xmlns="http://www.w3.org/2000/svg" width="74" height="74" fill="none"><path fill="#fff" d="M20.041 61.667c-4.676 0-8.671-1.62-11.986-4.857-3.315-3.237-4.972-7.194-4.972-11.87 0-4.009 1.208-7.58 3.623-10.715s5.576-5.139 9.481-6.013c.874-3.7 3.058-7.22 6.552-10.56 3.495-3.34 7.22-5.01 11.177-5.01 1.696 0 3.148.604 4.356 1.811 1.207 1.208 1.811 2.66 1.811 4.355v18.654l4.933-4.779L49.333 37 37 49.333 24.666 37l4.317-4.317 4.933 4.78V18.807c-3.905.72-6.937 2.608-9.095 5.666-2.159 3.058-3.238 6.205-3.238 9.443h-1.542c-2.98 0-5.524 1.053-7.63 3.16-2.108 2.107-3.161 4.65-3.161 7.631 0 2.98 1.053 5.525 3.16 7.632 2.107 2.106 4.65 3.16 7.631 3.16h37c2.159 0 3.983-.745 5.473-2.235 1.49-1.49 2.236-3.315 2.236-5.473 0-2.159-.746-3.983-2.236-5.473-1.49-1.49-3.314-2.236-5.473-2.236h-4.625v-6.166c0-2.467-.565-4.767-1.695-6.9a17.31 17.31 0 0 0-4.471-5.434v-7.168c3.803 1.798 6.809 4.458 9.018 7.978 2.21 3.52 3.315 7.361 3.315 11.524 3.546.41 6.488 1.94 8.826 4.586 2.338 2.647 3.507 5.743 3.507 9.289 0 3.854-1.349 7.13-4.046 9.828-2.698 2.698-5.975 4.047-9.829 4.047h-37Z"/></svg>
            <div class="ml-8">
                <div>
                    <!-- <h3 class="m-0"><?php // echo $post->file['title'] ?></h3> -->
                    <h3 class="m-0"><?php _e( 'Download latest version', 'EnergyPLAN' ) ?></h3>
                </div>
                <div class="flex items-center opacity-70">
                    <p class="text-[12px]">Version <?php echo $post->version ?></p>
                    <span class="bg-white w-[1px] h-3 mx-[6px]"></span>
                    <p class="text-[12px]"><?php echo $post->date ?></p>
                    <span class="bg-white w-[1px] h-3 mx-[6px]"></span>
                    <p class="text-[12px]"><?php echo $post->file['filesize'] ?> kB</p>
                </div>
            </div>
        </div>
        </a>
    <?php endforeach ?>
    </div>
</div>
<?php endif;?>
