<?php

if(!is_user_logged_in()) :
    $redirect_url = get_field('login_redirect', 'option');
    $create_account_url = get_field('opret_konto_side', 'option');
    $login_text = get_field('login_brodtekst', 'option');
    $forgot_psw_page = get_field('glemt_password_side', 'option');
    ?>
    <div class="grid col-gap-10 grid-cols-6 mb-24">
        <div class="col-span-full lg:col-span-5">
            <p><?php echo $login_text ?></p>
        </div>
        <div class="col-span-full lg:col-span-3">
            <?php
            $login  = (isset($_GET['login']) ) ? $_GET['login'] : 0;
            if ($login === "failed") {
                echo '<p class="text-red-500 mt-4">' . __('There was an error during login. Double-check that you have filled in the input fields with the correct username and password.', 'EnergyPLAN') . '</p>';
            }
            $args = array(
                'echo'            => true,
                'redirect'        => $redirect_url,
                'remember'        => false,
                'value_remember'  => false,
                'label_username' => __("Username", "EnergyPLAN")
            );
            wp_login_form( $args );
            ?>
            <div class="mt-[-34px] ml-[125px]">
                <a href="<?php echo $forgot_psw_page ?>"><p class="inline"><?php echo __("Forgot password?","EnergyPLAN"); ?></p></a>
            </div>
        </div>
    </div>
<?php else: ?>
    <p><?php echo __('You are already logged in. </br> Click the button below to log out.', 'EnergyPLAN') ?></p>
    <a href="<?php echo wp_logout_url( get_permalink( get_the_ID() ) ); ?>" class="red-btn mt-4"><?php echo __("Log out","EnergyPLAN"); ?></a>
<?php endif; ?>