<?php
global $post;
$page_id = $post->ID;
$front_page_id = get_option( 'page_on_front' );


$posts = get_posts(array(
    'post_type'         => 'models',
    'posts_per_page'    => -1,
    'meta_key'          => 'version_nr',
    'orderby'           => 'meta_value',
    'order'             => 'DESC',
));


if (!empty($posts)) {
    // Remove the first element from the array of posts
    array_shift($posts);
}
?>

<?php if( $posts ): ?>
<div class="grid gap-10 <?php echo (is_front_page() || $front_page_id == $page_id) ? 'grid-cols-4' : 'grid-cols-6'?> mt-8">
    <div class="<?php echo (is_front_page() || $front_page_id == $page_id) ? 'col-span-full lg:col-span-4' : 'col-span-full lg:col-span-5'?>">
        <details class="bg-[#ECECEC] border border-[#C0C6CD] rounded-md col-span-full peer flex cursor-pointer">
            <summary class="w-full py-[15px] flex items-center px-[20px]">
                <svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="none"><path fill="#000" d="M20 35c-3.833 0-7.174-1.27-10.02-3.813-2.848-2.541-4.48-5.715-4.897-9.52H8.5c.389 2.889 1.674 5.277 3.854 7.166 2.18 1.89 4.73 2.834 7.646 2.834 3.25 0 6.007-1.132 8.27-3.396 2.265-2.264 3.397-5.021 3.397-8.271 0-3.25-1.132-6.007-3.396-8.27C26.007 9.464 23.25 8.332 20 8.332a11.25 11.25 0 0 0-5.375 1.334 12.386 12.386 0 0 0-4.208 3.666H15v3.334H5v-10h3.333v3.916a14.554 14.554 0 0 1 5.188-4.125A14.885 14.885 0 0 1 20 5c2.083 0 4.035.396 5.854 1.188 1.82.791 3.403 1.86 4.75 3.208 1.347 1.347 2.417 2.93 3.209 4.75C34.603 15.966 35 17.916 35 20c0 2.083-.396 4.035-1.188 5.854-.791 1.82-1.86 3.403-3.208 4.75-1.347 1.347-2.93 2.417-4.75 3.209C24.034 34.603 22.084 35 20 35Zm4.667-8-6.334-6.333v-9h3.334v7.666L27 24.667 24.667 27Z"/></svg>
                <h3 class="px-[30px] m-0"><?php _e( 'Older versions of EnergyPLAN', 'EnergyPLAN' ) ?></h3>
            </summary>
        </details>
        <div class="w-full grid grid-rows-[0fr] bg-[#ECECEC] transition-[grid-template-rows] border-b border-b-[#C0C6CD] invisible border-x border-x-[#C0C6CD] rounded-b-md peer-open:bg-[#FAFAFA] peer-open:grid-rows-1 peer-open:visible overflow-hidden">
            <div class="overflow-hidden col-span-full">
                <div class="px-8 py-4 lg:px-[92px] lg:py-[40px]">
                    <?php foreach( $posts as $post ): ?>

                        <?php
                        $post->version = get_field('version_nr', $post->ID);
                        $post->file = get_field('model_upload', $post->ID);
                        $post->date = get_field('dato', $post->ID);
                        ?>

                        <div class="flex mb-4">
                            <a href="<?php echo $post->file['url'] ?>"><?php echo $post->file['title'] ?></a>
                            <p class="ms-2"><?php echo $post->file['filesize'] ?> kB</p>
                            <p class="ms-2">(Version <?php echo $post->version ?>)</p>
                        </div>

                    <?php endforeach ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif;?>
