<?php
$user_id = get_current_user_id();
$userInfo = get_userdata($user_id);
$organization = get_field('organization', 'user_' . $user_id);
$country = get_field('country', 'user_' . $user_id);
?>

<?php $countries = ["Afghanistan","Albania","Algeria","Andorra","Angola","Anguilla","Antigua &amp; Barbuda","Argentina","Armenia","Aruba","Australia","Austria","Azerbaijan","Bahamas","Bahrain","Bangladesh","Barbados","Belarus","Belgium","Belize","Benin","Bermuda","Bhutan","Bolivia","Bosnia &amp; Herzegovina","Botswana","Brazil","British Virgin Islands","Brunei","Bulgaria","Burkina Faso","Burundi","Cambodia","Cameroon","Cape Verde","Cayman Islands","Chad","Chile","China","Colombia","Congo","Cook Islands","Costa Rica","Cote D Ivoire","Croatia","Cruise Ship","Cuba","Cyprus","Czech Republic","Denmark","Djibouti","Dominica","Dominican Republic","Ecuador","Egypt","El Salvador","Equatorial Guinea","Estonia","Ethiopia","Falkland Islands","Faroe Islands","Fiji","Finland","France","French Polynesia","French West Indies","Gabon","Gambia","Georgia","Germany","Ghana","Gibraltar","Greece","Greenland","Grenada","Guam","Guatemala","Guernsey","Guinea","Guinea Bissau","Guyana","Haiti","Honduras","Hong Kong","Hungary","Iceland","India","Indonesia","Iran","Iraq","Ireland","Isle of Man","Israel","Italy","Jamaica","Japan","Jersey","Jordan","Kazakhstan","Kenya","Kuwait","Kyrgyz Republic","Laos","Latvia","Lebanon","Lesotho","Liberia","Libya","Liechtenstein","Lithuania","Luxembourg","Macau","Macedonia","Madagascar","Malawi","Malaysia","Maldives","Mali","Malta","Mauritania","Mauritius","Mexico","Moldova","Monaco","Mongolia","Montenegro","Montserrat","Morocco","Mozambique","Namibia","Nepal","Netherlands","Netherlands Antilles","New Caledonia","New Zealand","Nicaragua","Niger","Nigeria","Norway","Oman","Pakistan","Palestine","Panama","Papua New Guinea","Paraguay","Peru","Philippines","Poland","Portugal","Puerto Rico","Qatar","Reunion","Romania","Russia","Rwanda","Saint Pierre &amp; Miquelon","Samoa","San Marino","Satellite","Saudi Arabia","Senegal","Serbia","Seychelles","Sierra Leone","Singapore","Slovakia","Slovenia","South Africa","South Korea","Spain","Sri Lanka","St Kitts &amp; Nevis","St Lucia","St Vincent","St. Lucia","Sudan","Suriname","Swaziland","Sweden","Switzerland","Syria","Taiwan","Tajikistan","Tanzania","Thailand","Timor L'Este","Togo","Tonga","Trinidad &amp; Tobago","Tunisia","Turkey","Turkmenistan","Turks &amp; Caicos","Uganda","Ukraine","United Arab Emirates","United Kingdom","United States","Uruguay","Uzbekistan","Venezuela","Vietnam","Virgin Islands (US)","Yemen","Zambia","Zimbabwe"]; ?>

<div class="grid col-gap-10 grid-cols-6 mb-24">
    <div class="col-span-full lg:col-span-3" x-data="{editPassword: false, editInfo: true, editPwd: true}">
        <p class="mb-8">Username: <span class="font-medium"><?php echo $userInfo->user_login ?></span></p>
        <?php
            $pwd_updated  = (isset($_GET['password_updated']) ) ? $_GET['password_updated'] : 0;
            if ($pwd_updated === "true") {
                echo '<p class="text-[#859F3F] mb-4">Password updated successfully.</p>';
            } elseif ($pwd_updated === "false") {
                echo '<p class="text-[#text-red-500] mb-4">Error: Password is not updated</p>';
            }

            $info_updated  = (isset($_GET['information_updated']) ) ? $_GET['information_updated'] : 0;
            if ($info_updated === "true") {
                echo '<p class="text-[#859F3F] mb-4">Information updated successfully.</p>';
            } elseif ($info_updated === "false") {
                echo '<p class="text-[#text-red-500] mb-4">Error: Information is not updated</p>';
            }
        ?>
        <form class="mb-8" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" :style="editPassword ? 'display:none' : 'display:block'">
            <p>
                <label for="firstname">Firstname</label>
                <input type="text" name="firstname" value="<?php echo $userInfo->first_name ?>" :disabled="editInfo">
            </p>
            <p>
                <label for="lastname">Lastname</label>
                <input type="text" name="lastname" value="<?php echo $userInfo->last_name ?>" :disabled="editInfo">
            </p>
            <p>
                <label for="email">E-mail</label>
                <input type="email" name="email" value="<?php echo $userInfo->user_email ?>" :disabled="editInfo">
            </p>
            <p>
                <label for="organization">Organization</label>
                <input type="text" name="organization" value="<?php echo $organization ?>" :disabled="editInfo">
            </p>
            <p>
                <label for="country">Country</label>
                <select name="country" id="country-select" :disabled="editInfo">
                    <?php foreach ($countries as $single_country) : ?>
                        <?php if($single_country === $country) :?>
                        <option selected value="<?php echo $single_country ?>"><?php echo $single_country ?></option>
                        <?php else: ?>
                        <option value="<?php echo $single_country ?>"><?php echo $single_country ?></option>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </select>
            </p>
            <p>
                <input class="blue-btn mt-8" type="button" value="<?php _e('Edit information', 'EnergyPLAN') ?>" @click="editInfo = false" :style="editInfo ? 'display:inline' : 'display:none'">
                <input class="hidden green-btn mt-8" type="submit" value="<?php _e('Save information', 'EnergyPLAN') ?>" :style="editInfo ? 'display:none' : 'display:inline'">
                <span @click="editPassword = !editPassword" class="ml-4 cursor-pointer border-b border-b-[#2B3B4C]">New password?</span>
            </p>
        </form>


        <form class="hidden" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" :style="!editPassword ? 'display:none' : 'display:block'" x-data="{editBtn: false, password: '', password_check: '', passwordsMatch() { return this.password === this.password_check }}">
            <p>
                <label for="password"><?php echo _e('New Password', "EnergyPLAN") ?></label>
                <input type="password" name="password" :disabled="!editBtn" minlength="8" required x-model="password">
            </p>
            <p>
                <label for="password_check"><?php echo _e('Repeat new password', "EnergyPLAN") ?></label>
                <input type="password" name="password_check" id="create-account-password_check" x-model="password_check" required :disabled="!editBtn">
                <template x-if="password && password_check && !passwordsMatch()">
                    <p class="text-red-500"><?php _e('Passwords do not match.', "EnergyPLAN") ?></p>
                </template>
            </p>
            <p>
                <input class="blue-btn mt-8" type="button" value="<?php _e('Edit password', 'EnergyPLAN') ?>" @click="editBtn= true" :style="editBtn ? 'display:none' : 'display:inline'">
                <input class="hidden green-btn mt-8" type="submit" value="<?php _e('Save password', 'EnergyPLAN') ?>" :disabled="!passwordsMatch()" :style="editBtn ? 'display:inline' : 'display:none'">
                <span @click="editPassword = !editPassword" class="ml-4 cursor-pointer border-b border-b-[#2B3B4C]">Edit information?</span>
            </p>
        </form>
    </div>
</div>