<?php
global $pagenow;

$check_edit = !is_admin() || !in_array($pagenow, array('post.php', 'post-new.php'));

if (!function_exists('get_location_span')) {
    function get_location_span($location)
    {
        if ($location->term_id === 4) {
            return '<span class="bg-[#859F3F] text-white me-4 px-4 py-1 rounded-full text-[12px] font-medium text-center">' . esc_html($location->name) . '</span>';
        } else {
            return '<span class="bg-[#2B3B4C] text-white me-4 px-4 py-1 rounded-full text-[12px] font-medium text-center">' . esc_html($location->name) . '</span>';
        }
    }
}

$date_now = date('Y-m-d');

$posts = get_posts(array(
    'post_type'         => 'workshops',
    'posts_per_page'    => -1,
    'meta_query'     => array(
        array(
            'key'         => 'start_dato',
            'compare'     => '>=',
            'value'       => $date_now,
            'type'        => 'DATETIME'
        )
    ),
    'orderby'           => 'meta_value',
    'order'             => 'ASC',
));


?>

<?php if( $posts ): ?>
    <?php foreach( $posts as $post ): ?>
    <div class="col-span-full mt-10">
        <div class="border border-[#2B3B4C] p-8 lg:p-[40px]">
            <?php
            $post->about = get_field('om_workshoppen', $post->ID);
            $post->link = get_field('tilmeld_link', $post->ID);
            $post->start_date = get_field('start_dato', $post->ID);
            $post->end_date = get_field('slut_dato', $post->ID);
            $post->start_time = get_field('start_tidspunkt', $post->ID);
            $post->end_time = get_field('slut_tidspunkt', $post->ID);
            $post->location = get_the_terms($post->ID, 'Location');
            $post->multiple_days = get_field('flerdages_workshop', $post->ID)
            ?>


            <div class="flex items-center">
                <?php
                    foreach ($post->location as $location):
                        echo get_location_span($location);
                    endforeach;
                ?>
                <svg class="w-[40px]" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"><path fill="#000" d="M5 8h14V6H5v2Zm0 14c-.55 0-1.02-.196-1.413-.587A1.926 1.926 0 0 1 3 20V6c0-.55.196-1.02.587-1.412A1.926 1.926 0 0 1 5 4h1V2h2v2h8V2h2v2h1c.55 0 1.02.196 1.413.588.391.391.587.862.587 1.412v5.675a6.922 6.922 0 0 0-2-.6V10H5v10h6.3c.117.367.254.717.412 1.05.159.333.346.65.563.95H5Zm13 1c-1.383 0-2.563-.488-3.537-1.462C13.488 20.562 13 19.383 13 18s.488-2.563 1.463-3.537C15.438 13.488 16.617 13 18 13s2.563.488 3.538 1.463C22.512 15.438 23 16.617 23 18s-.488 2.563-1.462 3.538C20.562 22.512 19.383 23 18 23Zm1.675-2.625.7-.7L18.5 17.8V15h-1v3.2l2.175 2.175Z"/></svg>
                <span class="ms-4 text-[14px] lg:text-[16px] font-medium"><?php echo $post->start_date . ' ' . ($post->multiple_days ? '- ' . $post->end_date : '') . ' ' . $post->start_time . ($post->end_time ? '-' . $post->end_time : '') ?></span>
            </div>
            <div class="mt-8">
                <h2><?php echo get_the_title($post->ID); ?></h2>
                <div class="p-0 lg:pe-32">
                    <?php echo $post->about; ?>
                </div>
            </div>
            <div class="bg-[#ECECEC] p-6 mt-8">
                <div class="flex items-center">
                    <?php
                    foreach ($post->location as $location):
                        echo get_location_span($location);
                    endforeach;
                    ?>
                    <svg class="w-[30px]" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"><path fill="#000" d="M5 8h14V6H5v2Zm0 14c-.55 0-1.02-.196-1.413-.587A1.926 1.926 0 0 1 3 20V6c0-.55.196-1.02.587-1.412A1.926 1.926 0 0 1 5 4h1V2h2v2h8V2h2v2h1c.55 0 1.02.196 1.413.588.391.391.587.862.587 1.412v5.675a6.922 6.922 0 0 0-2-.6V10H5v10h6.3c.117.367.254.717.412 1.05.159.333.346.65.563.95H5Zm13 1c-1.383 0-2.563-.488-3.537-1.462C13.488 20.562 13 19.383 13 18s.488-2.563 1.463-3.537C15.438 13.488 16.617 13 18 13s2.563.488 3.538 1.463C22.512 15.438 23 16.617 23 18s-.488 2.563-1.462 3.538C20.562 22.512 19.383 23 18 23Zm1.675-2.625.7-.7L18.5 17.8V15h-1v3.2l2.175 2.175Z"/></svg>
                    <span class="ms-4 text-[14px] lg:text-[16px] font-medium"><?php echo $post->start_date . ' ' . $post->start_time ?></span>
                </div>
                <a class="blue-btn mt-8" href="<?php echo esc_url( $post->link ); ?>"><?php echo _e('Join this workshop', 'EnergyPLAN') ?></a>
            </div>
        </div>
    </div>
    <?php endforeach ?>

<?php endif;?>
