<?php
global $post;

$allowedBlocks = [ 'acf/full-width-text', 'acf/faq'];
$front_page_id = get_option( 'page_on_front' );

$parent_id = $post->post_parent;

if($parent_id) {
    $args = array(
        'title_li' => '',
        'child_of' => $parent_id,  // List the siblings by indicating the parent ID
        'sort_column' => 'menu_order, post_title',
        'post_status' => 'publish',
    );
} else {
    $args = array(
        'title_li' => '',             // Remove the default 'Pages' title
        'child_of' => $post->ID,      // List child pages of the current page
        'sort_column' => 'menu_order, post_title', // Sort by menu order and then title
        'post_status' => 'publish'    // Only show published pages
    );
}

?>

<?php if ( is_front_page() || $post->ID == $front_page_id ) : ?>
    <InnerBlocks class="col-start-1 col-end-13 md:col-start-2 md:col-end-6" allowedBlocks="<?php echo esc_attr( wp_json_encode( $allowedBlocks ) )  ?>"/>
<?php else: ?>
    <div class="subpages-parent block max-xl:mb-8 max-xl:col-start-1 max-xl:col-end-13 max-xl:overflow-x-auto xl:col-start-1 xl:col-end-3">
        <ul class="subpages max-xl:w-max flex xl:flex-col p-0 mt-[8px]">
            <?php echo wp_list_pages($args); ?>
        </ul>
    </div>
    <InnerBlocks class="col-start-1 col-end-13 lg:col-start-1 lg:col-end-9 xl:col-start-3 xl:col-end-9" allowedBlocks="<?php echo esc_attr( wp_json_encode( $allowedBlocks ) )  ?>"/>
<?php endif; ?>


