<?php
$blocks_mapping = [
    'blocks/templates/fullwidth' => 'acf/fullwidth-template',
    'blocks/templates/two-columns' => 'acf/two-columns-template',
    'blocks/templates/two-columns/right-column' => 'acf/right-column-two-column',
    'blocks/templates/two-columns/left-column' => 'acf/left-column-two-column',
    'blocks/components/full-width-text' => 'acf/full-width-text',
    'blocks/components/banner' => 'acf/banner',
    'blocks/components/column-cta' => 'acf/column-cta',
    'blocks/components/column-heading' => 'acf/column-heading',
    'blocks/components/column-cta-frontpage' => 'acf/column-cta-frontpage',
    'blocks/components/fullwidth-cta' => 'acf/fullwidth-cta',
    'blocks/components/community' => 'acf/community',
    'blocks/components/faq' => 'acf/faq',
    'blocks/components/video' => 'acf/video',
    'blocks/components/divider' => 'acf/divider',
    'blocks/components/latest-model' => 'acf/latest-model',
    'blocks/components/models-archive' => 'acf/models-archive',
    'blocks/components/fullwidth-image' => 'acf/fullwidth-image',
    'blocks/components/workshops-archive' => 'acf/workshops-archive',
    'blocks/components/teachers-archive' => 'acf/teachers-archive',
    'blocks/components/exercise' => 'acf/exercise',
    'blocks/components/login-form' => 'acf/login-form',
    'blocks/components/create-account-form' => 'acf/create-account-form',
    'blocks/components/members' => 'acf/members',
    'blocks/components/forgot-password-form' => 'acf/forgot-password-form',
    'blocks/components/set-password-form' => 'acf/set-password-form',
    'blocks/components/my-profile' => 'acf/my-profile',
];

function register_acf_blocks() {
    global $blocks_mapping;
    foreach ($blocks_mapping as $path => $name) {
        register_block_type(get_template_directory() . '/' . $path);
    }
}

add_action('init', 'register_acf_blocks');


add_filter('allowed_block_types_all', function($allowed_blocks, $editor_context) {
    global $blocks_mapping;
    $reg_blocks = [];

    foreach ($blocks_mapping as $block) {
        $reg_blocks[] = $block;  // Use the values from mapping which are block names
    }

    return $reg_blocks;
}, 10, 2);

add_filter('block_categories_all', function ($categories, $post) {
    // Create a new category array.
    $new_category = array(
        'slug'  => 'members',
        'title' => 'Medlemmer',
        // Optionally add an icon. Ensure it's a WordPress Dashicon slug or an SVG icon.
        'icon'  => null // You can specify a dashicon slug or inline SVG code.
    );

    // Prepend the new category to the beginning of the categories array.
    array_unshift($categories, $new_category);

    return $categories;
}, 20, 2);


add_filter('block_categories_all', function ($categories, $post) {
    // Create a new category array.
    $new_category = array(
        'slug'  => 'components',
        'title' => 'Komponenter',
        // Optionally add an icon. Ensure it's a WordPress Dashicon slug or an SVG icon.
        'icon'  => null // You can specify a dashicon slug or inline SVG code.
    );

    // Prepend the new category to the beginning of the categories array.
    array_unshift($categories, $new_category);

    return $categories;
}, 15, 2);

add_filter('block_categories_all', function ($categories, $post) {
    // Create a new category array.
    $new_category = array(
        'slug'  => 'templates',
        'title' => 'Layout',
        // Optionally add an icon. Ensure it's a WordPress Dashicon slug or an SVG icon.
        'icon'  => null // You can specify a dashicon slug or inline SVG code.
    );

    // Prepend the new category to the beginning of the categories array.
    array_unshift($categories, $new_category);

    return $categories;
}, 10, 2);


?>
