<?php
// Register custom post type: CTA
function mtm_register_cpt_cta() {
    $labels = array(
        "name" => __( 'CTA', 'EnergyPLAN' ),
        "singular_name" => __( 'CTA', 'EnergyPLAN' ),
        "menu_name" => __( 'CTA', 'EnergyPLAN' ),
        "all_items" => __( 'All CTAs', 'EnergyPLAN' ),
        "add_new" => __( 'Add new', 'EnergyPLAN' ),
        "add_new_item" => __( 'Add new CTA', 'EnergyPLAN' ),
        "edit_item" => __( 'Edit CTA', 'EnergyPLAN' ),
        "new_item" => __( 'New CTA', 'EnergyPLAN' ),
        "view_item" => __( 'See CTA', 'EnergyPLAN' ),
        "search_items" => __( 'Search CTAs', 'EnergyPLAN' ),
        "not_found" => __( 'No CTAs found', 'EnergyPLAN' ),
        "not_found_in_trash" => __( 'None CTAs in trash', 'EnergyPLAN' ),
        "archives" => __( 'CTA archive', 'EnergyPLAN' ),
        "insert_into_item" => __( 'Insert in CTA', 'EnergyPLAN' ),
        "uploaded_to_this_item" => __( 'Upload to CTA', 'EnergyPLAN' ),
        "filter_items_list" => __( 'Filter CTA list', 'EnergyPLAN' ),
        "items_list_navigation" => __( 'CTA list navigation', 'EnergyPLAN' ),
        "items_list" => __( 'CTA list', 'EnergyPLAN' ),
    );

    $args = array(
        "label" => __( 'CTA', 'EnergyPLAN' ),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => true,
        "rest_base" => "",
        "has_archive" => true,
        "show_in_menu" => true,
        "exclude_from_search" => false,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array( "slug" => "cta", "with_front" => false ),
        "query_var" => true,
        "menu_position" => 4,
        "menu_icon" => "dashicons-star-empty",
        "supports" => array( "title"),
    );
    register_post_type( "CTA", $args );
}
add_action( 'init', 'mtm_register_cpt_cta' );

function mtm_register_models() {
    $labels = array(
    "name" => __( 'Models', 'EnergyPLAN' ),
    "singular_name" => __( 'Model', 'EnergyPLAN' ),
    "menu_name" => __( 'Models', 'EnergyPLAN' ),
    "all_items" => __( 'All Models', 'EnergyPLAN' ),
    "add_new" => __( 'Add new', 'EnergyPLAN' ),
    "add_new_item" => __( 'Add new Model', 'EnergyPLAN' ),
    "edit_item" => __( 'Edit Model', 'EnergyPLAN' ),
    "new_item" => __( 'New Model', 'EnergyPLAN' ),
    "view_item" => __( 'See Model', 'EnergyPLAN' ),
    "search_items" => __( 'Search models', 'EnergyPLAN' ),
    "not_found" => __( 'No models found', 'EnergyPLAN' ),
    "not_found_in_trash" => __( 'No models found in trash', 'EnergyPLAN' ),
    "archives" => __( 'Models archive', 'EnergyPLAN' ),
    "insert_into_item" => __( 'Insert in Model', 'EnergyPLAN' ),
    "uploaded_to_this_item" => __( 'Upload to Model', 'EnergyPLAN' ),
    "filter_items_list" => __( 'Filter model list', 'EnergyPLAN' ),
    "items_list_navigation" => __( 'Models list navigation', 'EnergyPLAN' ),
    "items_list" => __( 'Models list', 'EnergyPLAN' ),
    );

    $args = array(
    "label" => __( 'Models', 'EnergyPLAN' ),
    "labels" => $labels,
    "description" => "",
    "public" => false,
    "show_ui" => true,
    "show_in_rest" => true,
    "rest_base" => "",
    "has_archive" => true,
    "show_in_menu" => true,
    "exclude_from_search" => false,
    "capability_type" => "post",
    "map_meta_cap" => true,
    "hierarchical" => false,
    "rewrite" => array( "slug" => "models", "with_front" => false ),
    "query_var" => true,
    "menu_position" => 5,
    "menu_icon" => "dashicons-archive",
    "supports" => array( "title"),
    );
    register_post_type( "Models", $args );
    }
add_action( 'init', 'mtm_register_models' );

function mtm_register_workshops() {
    $labels = array(
        "name" => __( 'Workshops', 'EnergyPLAN' ),
        "singular_name" => __( 'Workshop', 'EnergyPLAN' ),
        "menu_name" => __( 'Workshops', 'EnergyPLAN' ),
        "all_items" => __( 'All Workshops', 'EnergyPLAN' ),
        "add_new" => __( 'Add new', 'EnergyPLAN' ),
        "add_new_item" => __( 'Add new Workshop', 'EnergyPLAN' ),
        "edit_item" => __( 'Edit Workshop', 'EnergyPLAN' ),
        "new_item" => __( 'New Workshop', 'EnergyPLAN' ),
        "view_item" => __( 'See Workshop', 'EnergyPLAN' ),
        "search_items" => __( 'Search workshop', 'EnergyPLAN' ),
        "not_found" => __( 'No workshops found', 'EnergyPLAN' ),
        "not_found_in_trash" => __( 'No workshops found in trash', 'EnergyPLAN' ),
        "archives" => __( 'Workshops archive', 'EnergyPLAN' ),
        "insert_into_item" => __( 'Insert in workshop', 'EnergyPLAN' ),
        "uploaded_to_this_item" => __( 'Upload to workshop', 'EnergyPLAN' ),
        "filter_items_list" => __( 'Filter workshops list', 'EnergyPLAN' ),
        "items_list_navigation" => __( 'Workshops list navigation', 'EnergyPLAN' ),
        "items_list" => __( 'Workshops list', 'EnergyPLAN' ),
    );

    $args = array(
        "label" => __( 'Workshops', 'EnergyPLAN' ),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => true,
        "rest_base" => "",
        "has_archive" => true,
        "show_in_menu" => true,
        "exclude_from_search" => false,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array( "slug" => "workshops", "with_front" => false ),
        "query_var" => true,
        "menu_position" => 6,
        "menu_icon" => "dashicons-groups",
        "supports" => array( "title"),
    );
    register_post_type( "Workshops", $args );
}
add_action( 'init', 'mtm_register_workshops' );

function mtm_register_workshop_location()
{
    $labels = array(
        "name" => __("Location", "EnergyPLAN"),
        "singular_name" => __("Location", "EnergyPLAN"),
    );
    $args = array(
        "label" => __("Location", "EnergyPLAN"),
        "labels" => $labels,
        "public" => false,
        "publicly_queryable" => true,
        "hierarchical" => true,
        "show_ui" => true,
        "show_in_menu" => true,
        "show_in_nav_menus" => true,
        "query_var" => true,
        "show_admin_column" => false,
        "show_in_rest" => true,
        "rest_base" => "genre",
        "rest_controller_class" => "WP_REST_Terms_Controller", // wtf is dis?
        "show_in_quick_edit" => true,
    );
    register_taxonomy("Location", array("workshops"), $args);
}
add_action( 'init', 'mtm_register_workshop_location' );

function mtm_register_teachers() {
    $labels = array(
        "name" => __( 'Teachers', 'EnergyPLAN' ),
        "singular_name" => __( 'Teacher', 'EnergyPLAN' ),
        "menu_name" => __( 'Teachers', 'EnergyPLAN' ),
        "all_items" => __( 'All Teachers', 'EnergyPLAN' ),
        "add_new" => __( 'Add new', 'EnergyPLAN' ),
        "add_new_item" => __( 'Add new Teacher', 'EnergyPLAN' ),
        "edit_item" => __( 'Edit Teacher', 'EnergyPLAN' ),
        "new_item" => __( 'New Teacher', 'EnergyPLAN' ),
        "view_item" => __( 'See Teacher', 'EnergyPLAN' ),
        "search_items" => __( 'Search Teacher', 'EnergyPLAN' ),
        "not_found" => __( 'No Teachers found', 'EnergyPLAN' ),
        "not_found_in_trash" => __( 'No Teachers found in trash', 'EnergyPLAN' ),
        "archives" => __( 'Teachers archive', 'EnergyPLAN' ),
        "insert_into_item" => __( 'Insert in Teacher', 'EnergyPLAN' ),
        "uploaded_to_this_item" => __( 'Upload to Teacher', 'EnergyPLAN' ),
        "filter_items_list" => __( 'Filter Teachers list', 'EnergyPLAN' ),
        "items_list_navigation" => __( 'Teachers list navigation', 'EnergyPLAN' ),
        "items_list" => __( 'Teachers list', 'EnergyPLAN' ),
    );

    $args = array(
        "label" => __( 'Teachers', 'EnergyPLAN' ),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => true,
        "rest_base" => "",
        "has_archive" => true,
        "show_in_menu" => true,
        "exclude_from_search" => false,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array( "slug" => "teacher", "with_front" => false ),
        "query_var" => true,
        "menu_position" => 7,
        "menu_icon" => "dashicons-book",
        "supports" => array( "title"),
    );
    register_post_type( "Teachers", $args );
}
add_action( 'init', 'mtm_register_teachers' );

function mtm_register_exercise() {
    $labels = array(
        "name" => __( 'Exercises', 'EnergyPLAN' ),
        "singular_name" => __( 'Exercise', 'EnergyPLAN' ),
        "menu_name" => __( 'Exercises', 'EnergyPLAN' ),
        "all_items" => __( 'All Exercises', 'EnergyPLAN' ),
        "add_new" => __( 'Add new', 'EnergyPLAN' ),
        "add_new_item" => __( 'Add new exercise', 'EnergyPLAN' ),
        "edit_item" => __( 'Edit exercise', 'EnergyPLAN' ),
        "new_item" => __( 'New exercise', 'EnergyPLAN' ),
        "view_item" => __( 'See exercise', 'EnergyPLAN' ),
        "search_items" => __( 'Search exercise', 'EnergyPLAN' ),
        "not_found" => __( 'No exercises found', 'EnergyPLAN' ),
        "not_found_in_trash" => __( 'No exercises found in trash', 'EnergyPLAN' ),
        "archives" => __( 'Exercise archive', 'EnergyPLAN' ),
        "insert_into_item" => __( 'Insert in exercise', 'EnergyPLAN' ),
        "uploaded_to_this_item" => __( 'Upload to exercise', 'EnergyPLAN' ),
        "filter_items_list" => __( 'Filter exercises list', 'EnergyPLAN' ),
        "items_list_navigation" => __( 'Exercise list navigation', 'EnergyPLAN' ),
        "items_list" => __( 'Exercise list', 'EnergyPLAN' ),
    );

    $args = array(
        "label" => __( 'Exercises', 'EnergyPLAN' ),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => true,
        "rest_base" => "",
        "has_archive" => true,
        "show_in_menu" => true,
        "exclude_from_search" => false,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array( "slug" => "exercise", "with_front" => false ),
        "query_var" => true,
        "menu_position" => 8,
        "menu_icon" => "dashicons-list-view",
        "supports" => array( "title"),
    );
    register_post_type( "exercise", $args );
}
add_action( 'init', 'mtm_register_exercise' );

?>
