<?php
/**
* Proper way to enqueue scripts and styles
*/
function enqueue_scripts() {
wp_enqueue_style( 'style-name', get_template_directory_uri() . '/src/css/output.css', array(), '1.0.0', 'all' );
wp_enqueue_script( 'alpine_js', get_template_directory_uri() . '/src/js/alpine.js', array(), '1.0.0', array('strategy' => 'defer') );
}
add_action( 'wp_enqueue_scripts', 'enqueue_scripts' );


/**
* Register and enqueue a custom stylesheet in the WordPress admin.
*/
function enqueue_custom_admin_style() {

wp_enqueue_style( 'style-name', get_template_directory_uri() . '/src/css/output.css', array(), '1.0.0', 'all' );

wp_register_style( 'custom_wp_admin_css', get_template_directory_uri() . '/src/css/admin.css', false, '1.0.0' );
wp_enqueue_style( 'custom_wp_admin_css' );

}
add_action( 'enqueue_block_editor_assets', 'enqueue_custom_admin_style' );


/**
 * Add options page
 */
if( function_exists('acf_add_options_page') ) {
    acf_add_options_page(array(
        'page_title'    => 'Options',
        'menu_title'    => 'Options',
        'menu_slug'     => 'theme-general-settings',
        'capability'    => 'edit_posts',
        'redirect'      => false
    ));
}
?>